<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE = edge,chrome = 1">
  <title>Hello World using Backbone.js</title>
</head>

<body>

  <script src="./node_modules/jquery/dist/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>


  <div id="container">Loading...</div>
  <div class="top-region">
    <ul>
      <li>Coffee</li>
      <li>Tea</li>
      <li>Milk</li>
    </ul>
    <ul>
      <li>Coffee</li>
      <li>Tea</li>
      <li>Milk</li>
    </ul>
  </div>
  <div class="sub-region">
    <div class="media-content"> Hinh anh demo sub region </div>
  </div>
  <script type="text/javascript">
    var AppView = Backbone.View.extend({
      tagName: 'span', // required, but defaults to 'div' if not set
      className: 'container anotherclass', // optional, you can assign multiple classes to
      // this property like so: 'container homepage'
      id: 'todos', // optional
      // el - stands for element. Every view has an element associated with HTML content, will be rendered.
      el: '.top-region',
      // It's the first function called when this view is instantiated.
      initialize: function() {
        this.render();
      },
      // $el - it's a cached jQuery object (el), in which you can use jQuery functions to push content.
      //Like the Hello TutorialsPoint in this case.
      render: function() {
        this.$el.html("Sinh tố!!!");
      }
    });
    var appView = new AppView();
  </script>

</body>

</html>
